LinkPay
Request
Header Parameters
SignType
string
Required
Example: SHA256
DateTime
string
Required
Example: {{$date.isoTimestamp}}
Authorization
string
Required
Example: {{authorization}}
Request Body schema
merchantOrderInfo
object
Required
Order information object
recipientInfo
object
In funding transfer transaction, this object is used to send recipient information.
returnUrl
string<= 300 characters
The URL used for redirection after the payment is completed.
For example: HTTPs://www.merchantweb.com
EVO Cloud will add the merchantOrderID and result of the payment after the URL. Currently the page will only get redirected after the order has been paid, so the result is fixed as success.
For example: HTTPs://www.merchantweb.com?merchantOrderID=123123123123&result=success
senderInfo
object
In funding transfer transaction, this object is used to send sender information.
storeInfo
object
Merchant category code, If merchant have multi-mcc, when make the transaction merchant can choose one MCC to initiate transaction.
tradeInfo
object
Trade information object
transAmount
object
Required
Transaction amount object
transInitiator
object
Information of terminal to initiate the transaction
userInfo
object
userInfo Object
validTime
number
The valid time of LinkPay order.
The Payment Link will expire after 5~43200 minutes (maximum 30 days).
The accepted value is 5 to 43200.
The unit is minute.
Omit: 60 minutes.
webhook
string<= 300 characters
The webhook URL provided by merchant host to receive the payment result notification after the order has been paid.
Responses
200
POST
/g2/v0/payment/mer/sid/evo.e-commerce.linkpayTry it
Server
https://online-uat.everonet.com
Header Parameters
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/g2/v0/payment/mer/sid/evo.e-commerce.linkpay' \
-H 'SignType: SHA256' \
-H 'DateTime: {{$date.isoTimestamp}}' \
-H 'Authorization: {{authorization}}' \
-d '{
"deliveryAddress": {
"city": "string",
"country": "str",
"houseNumberOrName": "string",
"postalCode": "string",
"stateOrProvince": "str",
"street": "string"
},
"merchantOrderInfo": {
"enabledPaymentMethod": [
"string"
],
"isCollectBillingAddress": true,
"isCollectEmail": true,
"isCollectFullName": true,
"isCollectPhoneNumber": true,
"isCollectShippingAddress": true,
"merchantOrderID": "string",
"merchantOrderTime": "2019-08-24T14:15:22.123Z",
"orderType": "Single"
},
"payerInfo": {
"customerName": "string",
"mail": "string",
"mobilePhone": {
"areaCode": "strin",
"phoneNumber": "string"
}
},
"recipientInfo": {
"accountNumber": "string",
"accountType": "RTN",
"address": {
"city": "string",
"country": "str",
"stateOrProvince": "str",
"street": "string"
},
"name": {
"firstName": "string",
"lastName": "string",
"middleName": "string"
}
},
"returnUrl": "string",
"senderInfo": {
"address": {
"city": "string",
"country": "str",
"stateOrProvince": "str",
"street": "string"
},
"name": {
"firstName": "string",
"lastName": "string",
"middleName": "string"
}
},
"storeInfo": {
"MCC": "stri"
},
"tradeInfo": {
"checkInTime": "2019-08-24T14:15:22.123Z",
"checkOutTime": "2019-08-24T14:15:22.123Z",
"departureTime": "2019-08-24T14:15:22.123Z",
"flightNumber": "string",
"goodsDescription": "string",
"goodsName": "string",
"hotelName": "string",
"purposeOfPayment": "string",
"totalQuantity": 10,
"tradeType": "Hotel"
},
"transAmount": {
"currency": "str",
"value": "string"
},
"userInfo": {
"billingAddress": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"city": "string",
"country": "str",
"postalCode": "string",
"stateOrProvince": "str"
},
"deliveryAddress": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"city": "string",
"country": "str",
"postalCode": "string",
"stateOrProvince": "str"
},
"mobilePhone": {
"countryCode": "str",
"subscriberSections": "string"
},
"name": {
"familyName": "string",
"givenName": "string"
},
"reference": "string",
"vaultID": "string"
},
"validTime": 5,
"webhook": "string"
}'JavaScript
fetch(
`https://online-uat.everonet.com/g2/v0/payment/mer/sid/evo.e-commerce.linkpay`,
{
method: 'post',
headers: {
'SignType': 'SHA256',
'DateTime': '{{$date.isoTimestamp}}',
'Authorization': '{{authorization}}'
},
body: '{
"deliveryAddress": {
"city": "string",
"country": "str",
"houseNumberOrName": "string",
"postalCode": "string",
"stateOrProvince": "str",
"street": "string"
},
"merchantOrderInfo": {
"enabledPaymentMethod": [
"string"
],
"isCollectBillingAddress": true,
"isCollectEmail": true,
"isCollectFullName": true,
"isCollectPhoneNumber": true,
"isCollectShippingAddress": true,
"merchantOrderID": "string",
"merchantOrderTime": "2019-08-24T14:15:22.123Z",
"orderType": "Single"
},
"payerInfo": {
"customerName": "string",
"mail": "string",
"mobilePhone": {
"areaCode": "strin",
"phoneNumber": "string"
}
},
"recipientInfo": {
"accountNumber": "string",
"accountType": "RTN",
"address": {
"city": "string",
"country": "str",
"stateOrProvince": "str",
"street": "string"
},
"name": {
"firstName": "string",
"lastName": "string",
"middleName": "string"
}
},
"returnUrl": "string",
"senderInfo": {
"address": {
"city": "string",
"country": "str",
"stateOrProvince": "str",
"street": "string"
},
"name": {
"firstName": "string",
"lastName": "string",
"middleName": "string"
}
},
"storeInfo": {
"MCC": "stri"
},
"tradeInfo": {
"checkInTime": "2019-08-24T14:15:22.123Z",
"checkOutTime": "2019-08-24T14:15:22.123Z",
"departureTime": "2019-08-24T14:15:22.123Z",
"flightNumber": "string",
"goodsDescription": "string",
"goodsName": "string",
"hotelName": "string",
"purposeOfPayment": "string",
"totalQuantity": 10,
"tradeType": "Hotel"
},
"transAmount": {
"currency": "str",
"value": "string"
},
"userInfo": {
"billingAddress": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"city": "string",
"country": "str",
"postalCode": "string",
"stateOrProvince": "str"
},
"deliveryAddress": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"city": "string",
"country": "str",
"postalCode": "string",
"stateOrProvince": "str"
},
"mobilePhone": {
"countryCode": "str",
"subscriberSections": "string"
},
"name": {
"familyName": "string",
"givenName": "string"
},
"reference": "string",
"vaultID": "string"
},
"validTime": 5,
"webhook": "string"
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/json
json
json

